Post
/api/v1/livechat/department/{_id}/archive
Use this endpoint to archive a department. If a department is no longer needed but you want to retain it for future use, you can archive it.
Archiving a department also disables it and removes it from the list of departments. To view archived departments, use the Get Archived Departments endpoint.
Permission required: manage-livechat-departments
Header parameters
X-Auth-Token
stringRequired
The authToken of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired
The userId of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Path parameters
_id
stringRequired
Enter the department ID that you want to archive.
Example693fc4b0ddfe6ceaf280f7f6
Responses
200
OK
Success
{
"success": true
}object
success
boolean
400
Bad Request
Department Not Found
{
"success": false,
"error": "department-not-found"
}object
success
boolean
error
string
401
Unauthorized
Authorization Error
{
"status": "error",
"message": "You must be logged in to do this."
}object
status
string
message
string
403
Forbidden
Permission Error
{
"success": false,
"error": "User does not have the permissions required for this action [error-unauthorized]"
}Unauthorized
{
"success": false,
"error": "unauthorized"
}object
success
boolean
error
string